
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "OGDFRankingModule.h"

#include "stdcxxType.h"


#define OPTIMALRANKING_DECL_VIRT(Type) \



#define OPTIMALRANKING_DECL_NONVIRT(Type) \
Type##_p Type##_newOptimalRanking (  );


#define OPTIMALRANKING_DECL_ACCESSOR(Type) \



#define OPTIMALRANKING_DEF_VIRT(Type) \



#define OPTIMALRANKING_DEF_NONVIRT(Type) \
Type##_p Type##_newOptimalRanking (  ) {\
Type* newp=new Type();return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define OPTIMALRANKING_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(OptimalRanking)
RANKINGMODULE_DECL_VIRT(OptimalRanking)
OPTIMALRANKING_DECL_VIRT(OptimalRanking)
OPTIMALRANKING_DECL_NONVIRT(OptimalRanking)
OPTIMALRANKING_DECL_ACCESSOR(OptimalRanking)

#ifdef __cplusplus
}
#endif

